# $Revision: 1.22 $, $Date: 2010/11/09 12:35:13 $
Summary:	Extended version of tolua, a tool to integrate C/C++ code with Lua
Summary(pl.UTF-8):	Rozszerzona wersja tolua, narzędzia integrującego kod C/C++ z Lua
Name:		tolua++
Version:	1.0.93
Release:	4
License:	Free
Group:		Development/Tools
Source0:	http://www.codenix.com/~tolua/%{name}-%{version}.tar.bz2
# Source0-md5:	100aa6907b8108582080b37d79c0afd7
Patch0:		%{name}-lua51.patch
URL:		http://www.codenix.com/~tolua/
BuildRequires:	lua51-devel
BuildRequires:	scons
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tolua++ is an extension of tolua, a tool to integrate C/C++ code with
Lua. tolua++ includes new features oriented to c++, such as class
templates.

tolua is a tool that greatly simplifies the integration of C/C++ code
with Lua. Based on a "cleaned" header file, tolua automatically
generates the binding code to access C/C++ features from Lua.

%description -l pl.UTF-8
tolua++ jest rozszerzeniem tolua, narzędzia integrującego kod C/C++ z
Lua. tolua++ zawiera nowe, zorientowane na c++ cechy takie jak wzorce
klas.

tolua jest narzędziem które znacznie upraszcza integracje kodu C/C++ z
Lua. Bazując na "oczyszczonych" plikach nagłówkowych tolua
automatycznie generuje kod umożliwiający Lua dostęp do struktur i
funkcji C/C++.

%package devel
Summary:	tolua++ header files
Summary(pl.UTF-8):	Pliki nagłówkowe tolua++
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	tolua++-libs

%description devel
Header files for tolua++.

%description devel -l pl.UTF-8
Pliki nagłówkowe tolua++.

%package static
Summary:	tolua++ static library
Summary(pl.UTF-8):	Biblioteka statyczna tolua++
Group:		Development/Tools
Requires:	%{name}-devel = %{version}-%{release}

%description static
tolua++ static library.

%description static -l pl.UTF-8
Biblioteka statyczna tolua++.

%prep
%setup -q
%patch0 -p1

%build
%scons \
	CCFLAGS="%{rpmcflags} -I/usr/include/lua51 -ansi -fPIC" \
	LINKFLAGS="%{rpmldflags}"

%{__cc} %{rpmldflags} -shared src/lib/tolua_{event,is,map,push,to}.o -o lib/libtolua++.so -llua51 -ldl -lm
%{__cc} %{rpmldflags} -Llib src/bin/toluabind.o src/bin/tolua.o -o bin/tolua++ -ltolua++ -llua51

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_includedir},%{_libdir}}

install bin/tolua++ $RPM_BUILD_ROOT%{_bindir}
install include/tolua++.h $RPM_BUILD_ROOT%{_includedir}
install lib/lib* $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README doc/*
%attr(755,root,root) %{_bindir}/tolua++

%files devel
%defattr(644,root,root,755)
%{_includedir}/tolua++.h
%attr(755,root,root) %{_libdir}/libtolua++.so

%files static
%defattr(644,root,root,755)
%{_libdir}/libtolua++*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tolua++.spec,v $
Revision 1.22  2010/11/09 12:35:13  lisu
- pass ldflags

Revision 1.21  2010/11/09 12:24:45  lisu
- pass rpmcflags

Revision 1.20  2010/11/09 09:35:38  lisu
- reverse split, devel subpackage is sufficient
- rel 4

Revision 1.19  2010/11/09 08:57:31  lisu
- proper R for static package

Revision 1.18  2010/11/09 08:55:55  lisu
- split devel package to devel and libs
- rel 3

Revision 1.17  2010/11/08 14:43:11  lisu
- install dynamic library and headers as -devel
- rel 2

Revision 1.16  2010/11/08 14:08:35  lisu
- fix files

Revision 1.15  2010/11/08 14:04:49  lisu
- compile with -fPIC, this should fix 64bits build

Revision 1.14  2010/11/08 13:59:44  lisu
- fix x86_64 build

Revision 1.13  2010/11/08 13:48:31  lisu
- up to 1.0.93
- lua51 support
- more verbose files
- cleanup

Revision 1.12  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.10  2005/12/13 18:01:47  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.9  2005/12/12 18:20:32  czucz
- %{_includedir} macro used

Revision 1.8  2005/02/06 17:12:15  czucz
- updated to 1.0.4

Revision 1.7  2004/10/31 13:06:43  ankry
- standarized

Revision 1.6  2004/10/31 11:51:12  wolf
- URL

Revision 1.5  2004/10/31 11:32:11  darekr
- updated to 1.0.3

Revision 1.4  2004/10/29 13:47:41  paladine
- spelling fixes

Revision 1.3  2004/04/10 16:03:59  qboosh
- fixed optflags passing, use -fPIC; release 3

Revision 1.2  2004/03/28 18:00:06  wolf
- require cooperative lua50
- rel 2

Revision 1.1  2004/03/27 17:26:49  wolf
- new
